stages:
  - build
  - test
build-job:
  stage: build
  only:
    - build
  script:
    - echo '========build Source Code========'
  after_script:
    - echo '========GOOD LUCK========'
  

test-job:
  stage: test
  only:
    - test
  script:
    - echo '========Pull Latest Source Code========'
  after_script:
    - echo '========GOOD LUCK========'
# develop-job:
#   stage: develop
#   only:
#     - develop
#   script:
#     - echo '========Pull Latest Source Code========'
#        && cd /home/sv/crm2
#        && sudo su
#        && sudo systemctl stop odoo-staging
#        && sudo git pull https://${GITLAB_U}:${GITLAB_P}@gitlab.sieuviet-dev.com/sieuviet/erp-odoo/crm2.git develop
#        && sudo click-odoo-update -c /home/sv/oconf/odoo-server.conf -d ${DATABASE_DEVELOP} --i18n-overwrite --ignore-core-addons --ignore-addons l10n_vn_tasys
#   after_script:
#     - sudo systemctl start odoo-staging
#   tags:
#     - build-staging
